# Generated by Django 2.2.4 on 2019-10-08 16:15

from django.db import migrations, models
import django.db.models.deletion
import nnx.enums.media.common_aspect_ratios
import nnx.enums.media.image_extension_type


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('nnx', '0006_device'),
    ]

    operations = [
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('serial_number', models.IntegerField()),
                ('notification_type', models.IntegerField()),
                ('timestamp', models.IntegerField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ImageProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('file', models.ImageField(upload_to='image_profile')),
                ('file_name', models.CharField(max_length=255)),
                ('extension', models.IntegerField(choices=[(1, 'jpg'), (2, 'jpeg'), (3, 'svg'), (4, 'png'), (9, 'unknown')], default=nnx.enums.media.image_extension_type.ImageExtensionType(9))),
                ('object_id', models.PositiveIntegerField()),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ImageFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('file', models.ImageField(upload_to='')),
                ('file_name', models.CharField(max_length=255)),
                ('ext', models.CharField(max_length=10)),
                ('aspect_ratio', models.IntegerField(choices=[(0, '_1_1'), (1, '_16_9'), (2, '_4_3'), (3, '_3_2'), (9, 'unknown')], default=nnx.enums.media.common_aspect_ratios.CommonAspectRatios(9))),
                ('width', models.IntegerField()),
                ('height', models.IntegerField()),
                ('image_profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='image_files', related_query_name='image_file', to='nnx.ImageProfile')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
